import { jsx } from "react/jsx-runtime";
import "react";
import { Empty } from "antd";
import lodash from "lodash";
import { withDynamicSchemaProps } from "../../../application/hoc/withDynamicSchemaProps.mjs";
import { useDataBlockRequest } from "../../../data-source/index.mjs";
import { FormV2 } from "../form-v2/index.mjs";
const Details = withDynamicSchemaProps((props)=>{
    var _request_data;
    const request = useDataBlockRequest();
    if (!(null == request ? void 0 : request.loading) && lodash.isEmpty(null == request ? void 0 : null == (_request_data = request.data) ? void 0 : _request_data.data)) return /*#__PURE__*/ jsx(Empty, {
        image: Empty.PRESENTED_IMAGE_SIMPLE
    });
    return /*#__PURE__*/ jsx(FormV2, {
        ...props
    });
});
export { Details };
